/*
 * WorkRequestQueue.java
 *
 * Created on May 10, 2004, 12:12 PM
 */

package org.homedns.dade.jcgrid.server;

import java.util.*;

import org.homedns.dade.jcgrid.*;

public class WorkRequestQueue extends org.homedns.dade.jcgrid.util.Queue {
    public WorkRequestQueue() {
        super();
    }

    public void removePendingWorkRequests(String sessionName) {
        synchronized(super.elements) {
            for(Iterator i=super.elements.iterator();i.hasNext();) {
                WorkRequest wr=(WorkRequest)i.next();
                
                if(wr.getSessionName().equals(sessionName))
                    i.remove();
            }
        }
    }
}
