/*
 Copyright (C) 2004 David Bucciarelli (davibu@interfree.it)

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package org.homedns.dade.jcgrid;

import java.io.*;

public abstract class WorkRequest implements Serializable {
    private static final long serialVersionUID=1L;
        
    private int rid;
    private String sessionName;

    public WorkRequest(String name, int id) {
        sessionName=name;
        rid=id;
    }

    public int getRID() {
        return rid;
    }

    public String getSessionName() {
        return sessionName;
    }

    public void setSessionName(String name) {
        sessionName=name;
    }
}
