/*
 Copyright (C) 2004 David Bucciarelli (davibu@interfree.it)

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package org.homedns.dade.jcgrid.admin;

import java.io.*;
import java.util.*;

import org.homedns.dade.jcgrid.*;

public class GridNodeAdminConfig extends GridNodeGenericConfig
    implements Cloneable {
    public GridNodeAdminConfig(Properties prop) {
        super(prop);

        super.setType(GridNodeGenericConfig.TYPE_ADMIN);
    }
    
    public GridNodeAdminConfig() {
        super(GridNodeConfig.TYPE_ADMIN);
    }

    public Object clone() {
        GridNodeAdminConfig cfg=(GridNodeAdminConfig)super.clone();

        return cfg;
    }
    
    //------------------------------- Get & Set --------------------------------
}
