/*
 Copyright (C) 2004 David Bucciarelli (davibu@interfree.it)

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package org.homedns.dade.jcgrid.cmd.mandel;

import org.homedns.dade.jcgrid.gui.*;
import org.homedns.dade.jcgrid.worker.impl.mandel.*;

public class guiMandelRenderingPannel extends guiRenderingPannel {
    private static final long serialVersionUID=1L;

    public guiMandelRenderingPannel() {
        super();
        
        this.setCursorEnable(true);
    }

    public synchronized void updateImage(MandelRenderingFrame frame) {
        super.getGraphics2D().drawImage(frame.getBufferedImage(),null,0,0);

        this.repaint();
    }
}
