/*
 Copyright (C) 2004 David Bucciarelli (davibu@interfree.it)

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package org.homedns.dade.jcgrid.server;

import org.apache.log4j.*;

import org.homedns.dade.jcgrid.*;

public class WorkerMainDemon extends MainDemon {
    public WorkerMainDemon(GridServer server) throws Exception {
        super(server,GridNodeConfig.TYPE_WORKER);
        if(log.isDebugEnabled()) log.debug("Start WorkerMainDemon("+server+")");
        if(log.isDebugEnabled()) log.debug("End WorkerMainDemon()");
    }
}
