/*
 Copyright (C) 2004 David Bucciarelli (davibu@interfree.it)

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package org.homedns.dade.jcgrid.worker.impl.mandel;

public class MandelConfig {
    public final static String MANDELGRID_SERVER="dade.homedns.org";
    //public final static String MANDELGRID_SERVER="localhost";
    public final static int MANDELGRID_CLIENT_PORT=10201;
    public final static int MANDELGRID_WORKER_PORT=10202;
    public final static int MANDELGRID_ADMIN_PORT=10203;

    public final static boolean MANDELGRID_USE_COMPRESSION=true;

    public final static short MANDELGRID_MIN_ITER=512;
    public final static short MANDELGRID_MAX_ITER=30000;
    public static final int MANDELGRID_FRAG_SIZE=96;
}
